Updates the article status list with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

article_status_list
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
article_status_id

Foreign key of the article_status

globally unique identifier

Required

article_id

Foreign key of article

globally unique identifier

Optionally required : article_id, article_code or article must be provided

article_code

Embedded entity "article" using ERP PK when adding/updating

string

Optionally required : article_id, article_code or article must be provided

article

Embedded entity "article" when adding/updating

article

Optionally required : article_id, article_code or article must be provided

sales_organization_id

globally unique identifier

Required

modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Request Formats :

application/json, text/json

Sample:
{
  "id": "41b5a810-13e1-4dea-aa9a-9dc9ee2c1819",
  "article_status_id": "de544a22-839a-4d49-8017-ee572331af00",
  "article_id": "ac93e28e-14ff-427c-8715-6d2205d7e3ce",
  "article_code": "sample string 4",
  "sales_organization_id": "6504dcea-b475-42ad-a408-80fe815576c1",
  "modified_dateutc": "2026-11-02T05:06:47.1675178+00:00"
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.